%define glib2_version 2.0.3
%define pango_version 1.0.99
%define gtk2_version 2.0.5
%define gconf2_version 1.2.0
%define gnome_vfs2_version 2.0.0
%define libgnomeui_version 2.0.0
%define libgnome_version 2.0.0

%define po_package gnome-desktop-2.0

Summary: Package containing code shared among gnome-panel, gnome-session, nautilus, etc.
Name: gnome-desktop
Version: 2.0.6
Release: 4
URL: http://www.gnome.org
Source0: ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/gnome-desktop/%{name}-%{version}.tar.bz2
Source2: desktop_gnome_icon_theme.schemas
License: GPL 
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root

Requires: redhat-artwork
Requires: redhat-menus

Obsoletes: gnome-core gnome-core-devel
Provides: gnome-core

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: GConf2-devel >= %{gconf2_version}
BuildRequires: gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: libgnome-devel >= %{libgnome_version}
BuildRequires: Xft
BuildRequires: fontconfig

Patch1: gnome-desktop-2.0.6-scaled.patch

%description

The gnome-desktop package contains an internal library
(libgnomedesktop) used to implement some portions of the GNOME
desktop, and also some data files and other shared components of the
GNOME user environment.

%package devel
Summary: Libraries and headers for libgnome-desktop
Group: Development/Libraries
Requires: %name = %{version}

Requires: glib2-devel >= %{glib2_version}
Requires: gtk2-devel >= %{gtk2_version}
Requires: GConf2-devel >= %{gconf2_version}
Requires: gnome-vfs2-devel >= %{gnome_vfs2_version}
Requires: libgnomeui-devel >= %{libgnomeui_version}
Requires: libgnome-devel >= %{libgnome_version}

%description devel

Libraries and header files for the GNOME-internal private library 
libgnomedesktop

%prep
%setup -q

%patch1 -p1 -b .scaled

%build

%configure
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

perl -pi -e 's@<vendor> *</vendor>@<vendor>Red Hat, Inc.</vendor>@g' $RPM_BUILD_ROOT%{_datadir}/gnome-about/gnome-version.xml
export TODAYS_DATE=`date +%%F`
echo "Today is $TODAYS_DATE"
perl -pi -e "s@<date> *</date>@<date>$TODAYS_DATE</date>@g" $RPM_BUILD_ROOT%{_datadir}/gnome-about/gnome-version.xml
perl -pi -e 's@<description> *</description>@<description>Red Hat Linux</description>@g' $RPM_BUILD_ROOT%{_datadir}/gnome-about/gnome-version.xml

./mkinstalldirs $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas 
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas

%find_lang %{po_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/desktop_gnome_icon_theme.schemas > /dev/null

%postun -p /sbin/ldconfig

%files -f %{po_package}.lang
%defattr(-,root,root)

%doc AUTHORS COPYING ChangeLog NEWS README

%{_datadir}/gnome-about
%{_datadir}/gnome
%{_datadir}/pixmaps
%{_datadir}/man/man*/*
%{_libdir}/lib*.so.*

%{_bindir}/*

%{_sysconfdir}/gconf/schemas/*

%files devel
%defattr(-,root,root)

%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
#%{_datadir}/gtk-doc

%changelog
* Wed Sep  4 2002 Havoc Pennington <hp@redhat.com>
- support a magic flag in icon theme to avoid using 
  prescaled icons

* Tue Aug 13 2002 Havoc Pennington <hp@redhat.com>
- put in a schema so we default the the right icon theme
- fill in gnome-version.xml stuff #71445

* Mon Aug 12 2002 Havoc Pennington <hp@redhat.com>
- 2.0.6 final for gnome 2.0.1

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- 2.0.5

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- 2.0.3.90 cvs snap, should fix failure to launch symlink desktop
  files

* Wed Jun 26 2002 Owen Taylor <otaylor@redhat.com>
- Version 2.0.2, fix missing po files

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0

* Mon Jun 10 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon Jun 10 2002 Havoc Pennington <hp@redhat.com>
- also obsolete gnome-core-devel
- require redhat-artwork and redhat-menus
- build require Xft/fontconfig

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- add post/postun ldconfig

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.5.22

* Fri May 31 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Fri May 31 2002 Havoc Pennington <hp@redhat.com>
- 1.5.21

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment
- build requires libgnome

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- 1.5.20
- provides gnome-core

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.5.18

* Tue Apr 16 2002 Havoc Pennington <hp@redhat.com>
- Initial build.


